LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
Property Struct Referencepublished

This structure describes a property. More...

`import"Property.idl";`

## Public Attributes
string | Name
| specifies the name of the property. More...
long | Handle
| contains an implementation-specific handle for the property. More...
type | Type
| contains an object that identifies the declared type for the property. More...
short | Attributes
| This field may contain zero or more constants of the PropertyAttribute constants group. More...

## Detailed Description

This structure describes a property.

There are three types of properties:

- bound properties
- constrained properties
- free properties

## Member Data Documentation

## ◆ Attributes

short Attributes

This field may contain zero or more constants of the PropertyAttribute constants group.

## ◆ Handle

long Handle

contains an implementation-specific handle for the property.

It may be -1 if the implementation has no handle. You can use this handle to get values from the XFastPropertySet.

## ◆ Name

string Name

specifies the name of the property.

The name is unique within an XPropertySet. Upper and lower case are distinguished.

## ◆ Type

type Type

contains an object that identifies the declared type for the property.

If the property has multiple types or the type is not known, but not an `any`, then void must be returned.

The documentation for this struct was generated from the following file:

- com/sun/star/beans/Property.idl